Name:           python-zsh-jupyter-kernel
Version:        3.5.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Z shell kernel for Project Jupyter

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/dahn-zk/zsh-jupyter-kernel
Source:         %{pypi_source zsh_jupyter_kernel}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'zsh-jupyter-kernel' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-zsh-jupyter-kernel
Summary:        %{summary}

%description -n python3-zsh-jupyter-kernel %_description


%prep
%autosetup -p1 -n zsh_jupyter_kernel-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-zsh-jupyter-kernel -f %{pyproject_files}


%changelog
%autochangelog